Page MenuHomePhabricator

reserved Lexeme IDs
Closed, ResolvedPublic3 Story Points

Description

We should reserve a few special IDs in the Lexeme namespace.
We need to remove the IDs that we previously reserved for items because otherwise they will also apply to Lexemes.

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : wmf/1.32.0-wmf.4Add L171081 to clearBlacklistedLexemes
operations/mediawiki-config : masterAdd 171081 to wmgWikibaseIdBlacklist for wikibase-lexeme
mediawiki/extensions/WikibaseLexeme : masterAdd L171081 to clearBlacklistedLexemes
mediawiki/extensions/WikibaseLexeme : masterScript to create reserved Lexemes
mediawiki/extensions/Wikibase : masterRemove current ID blacklist and make idBlacklist work for mutiple types

Event Timeline

Lydia_Pintscher triaged this task as Normal priority.Feb 12 2018, 12:27 PM
Lydia_Pintscher created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2018, 12:27 PM
RazShuty set the point value for this task to 3.Mar 21 2018, 12:16 PM

@Lydia_Pintscher Care to elaborate on the ids so we can start this with self-confidence?

Addshore renamed this task from special Lexeme IDs to reserved Lexeme IDs.May 3 2018, 3:17 PM
Addshore claimed this task.
Addshore moved this task from To Do to Doing on the Wikidata-Turtles-Sprint#4 board.
Restricted Application added a project: User-Addshore. · View Herald TranscriptMay 3 2018, 3:17 PM

Change 430611 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseLexeme@master] WIP DNM Script to create reserved Lexemes

https://gerrit.wikimedia.org/r/430611

Change 430615 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] Remove current ID blacklist and make idBlacklist work for mutiple types

https://gerrit.wikimedia.org/r/430615

All of the patches are in place, and can be altered once we have the list of Lexmes that should be reserved.

The config for blacklisting the creation of the lexemes is part of T184745 and I have added a note to the list of items in the ticket.

@Lydia_Pintscher This is all ready for your input now :)

For each Lexeme to be reserved / created when we deploy we will need:

  • Lemma text string
  • Lemma language code
  • Lexical Category Item ID
  • Language Item ID

Change 430615 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Remove current ID blacklist and make idBlacklist work for mutiple types

https://gerrit.wikimedia.org/r/430615

Jakob_WMDE moved this task from Doing to Peer Review on the Wikidata-Turtles-Sprint #5 board.
Jakob_WMDE added a subscriber: Addshore.

Change 430611 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Script to create reserved Lexemes

https://gerrit.wikimedia.org/r/430611

First Basque written word was izioki (actually jçioq, but current ortography would be like that). Would it be possible to have an Easter Egg with this and reserve L171081 for this word?

Change 434444 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseLexeme@master] Add L171081 to clearBlacklistedLexemes

https://gerrit.wikimedia.org/r/434444

Change 434450 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseLexeme@wmf/1.32.0-wmf.4] Add L171081 to clearBlacklistedLexemes

https://gerrit.wikimedia.org/r/434450

Change 434451 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Add 171081 to wmgWikibaseIdBlacklist for wikibase-lexeme

https://gerrit.wikimedia.org/r/434451

Change 434444 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add L171081 to clearBlacklistedLexemes

https://gerrit.wikimedia.org/r/434444

Change 434451 merged by jenkins-bot:
[operations/mediawiki-config@master] Add 171081 to wmgWikibaseIdBlacklist for wikibase-lexeme

https://gerrit.wikimedia.org/r/434451

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-05-22T11:06:45Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:434451|Add 171081 to wmgWikibaseIdBlacklist for wikibase-lexeme]] T194248 T187060 (duration: 01m 19s)

Change 434450 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@wmf/1.32.0-wmf.4] Add L171081 to clearBlacklistedLexemes

https://gerrit.wikimedia.org/r/434450

Lydia_Pintscher closed this task as Resolved.May 23 2018, 9:42 AM
dgstranz added a subscriber: dgstranz.EditedMay 24 2018, 1:59 PM

Is it possible to reserve the following IDs for lexemes?
893: ヤクザ ("yakuza" in Japanese, sometimes represented in number form)
1848: communism (year when the Communist Manifesto was published)
2000: fecha ("date" in Spanish, a reference to the Y2K bug)
2011: 地震 ("earthquake" in Japanese, because of the deadly earthquake and tsunami from March 11 that year)

Unfortunately we can't add any new ones anymore :/